/*
 This is change log for 1006
 It's intended to run on update.

*/

dir='/opt/ECX/tools/dbScripts'

cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)

var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

db.recovery_StorageCatalogVolume.ensureIndex({pk : 1})
db.recovery_StorageCatalogVolume.ensureIndex({sessionId : 1})
db.recovery_StorageCatalogVolume.ensureIndex({jobId : 1}) 

db.recovery_StorageCatalogVolume_VERSION.ensureIndex({pk : 1})
db.recovery_StorageCatalogVolume_VERSION.ensureIndex({sessionId : 1})
db.recovery_StorageCatalogVolume_VERSION.ensureIndex({jobId : 1})

db.recovery_StorageCatalogSnapshot.ensureIndex({pk : 1})
db.recovery_StorageCatalogSnapshot.ensureIndex({jobId : 1})
db.recovery_StorageCatalogSnapshot.ensureIndex({sessionId : 1})

db.recovery_StorageCatalogSnapshot_VERSION.ensureIndex({pk : 1})
db.recovery_StorageCatalogSnapshot_VERSION.ensureIndex({sessionId : 1})
db.recovery_StorageCatalogSnapshot_VERSION.ensureIndex({jobId : 1})

db.recovery_StorageCatalogReplication.ensureIndex({pk : 1})
db.recovery_StorageCatalogReplication.ensureIndex({sessionId : 1})
db.recovery_StorageCatalogReplication.ensureIndex({sourceStorageId : 1})
db.recovery_StorageCatalogReplication.ensureIndex({jobId : 1})

db.recovery_StorageCatalogReplication_VERSION.ensureIndex({pk : 1})
db.recovery_StorageCatalogReplication_VERSION.ensureIndex({sourceStorageId : 1})
db.recovery_StorageCatalogReplication_VERSION.ensureIndex({sessionId : 1})
db.recovery_StorageCatalogReplication_VERSION.ensureIndex({jobId : 1})

db.PERFORMANCE_ResourceSummaryDTO.ensureIndex({jobPK: 1})
db.PERFORMANCE_ResourceSummaryDTO.ensureIndex({pk: 1})

db.recovery_BackupMetaData.ensureIndex({jobId: 1})
db.recovery_BackupMetaData.ensureIndex({databaseId: 1})