/*
 This is change log for 1003
 It's intended to run on update.

*/

dir='/opt/ECX/tools/dbScripts'

cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)



var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

db.recovery_ResourceManagerDTO.ensureIndex({pk : 1});
db.recovery_ResourceManagerDTO.ensureIndex({createTime : 1});
db.recovery_ResourceManagerDTO_VERSION.ensureIndex({pk : 1});
db.recovery_ResourceManagerDTO_VERSION.ensureIndex({createTime : 1});
db.recovery_ResourceTokenDTO.ensureIndex({pk : 1});
db.recovery_ResourceTokenDTO.ensureIndex({createTime : 1});
db.recovery_ResourceTokenDTO_VERSION.ensureIndex({pk : 1});
db.recovery_ResourceTokenDTO_VERSION.ensureIndex({createTime : 1});


print("Setting vadpMetadata VM fullBackup to false...");
var docs = db.recovery_HypervisorVADPBackupInfo.find();
while (docs.hasNext()) {
  doc = docs.next();
  var needUpdate = false;
  var pk = doc.pk;
  var vadpMetadata = doc.vadpMetadata;
  for ( var vm in vadpMetadata) {
    if (vadpMetadata[vm].fullBackup) {
      print("setting vadpMetadata[" + vm + "].fullBackup = false, pk: " + pk);
      vadpMetadata[vm].fullBackup = false;
      needUpdate = true;
    }
  }
  if (needUpdate) {
    db.recovery_HypervisorVADPBackupInfo.update({"pk" : pk}, {$set : {"vadpMetadata" : vadpMetadata}});
  }
}

